<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="viewModel"
            type="com.lukouguoji.aerologic.page.message.details.MessageDetailsViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <include layout="@layout/title_tool_bar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginTop="30dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="接收时间:"
                android:textColor="@color/text_normal"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:text="@{viewModel.bean.createtime}"
                android:textColor="@color/text_normal"
                android:textSize="18sp" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginHorizontal="20dp"
            android:layout_marginVertical="20dp"
            android:layout_weight="1">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="消息内容:"
                android:textColor="@color/text_normal"
                android:textSize="18sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="15dp"
                android:background="@color/white"
                android:padding="10dp"
                android:text="@{viewModel.bean.content}"
                android:textColor="@color/text_normal"
                android:textSize="16sp" />

        </LinearLayout>

        <TextView
            style="@style/tv_bottom_btn"
            visible='@{viewModel.bean.state.equals("0")}'
            android:layout_gravity="end"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="20dp"
            android:onClick="@{()->viewModel.onConfirmClick()}"
            android:text="处理" />
    </LinearLayout>
</layout>